import React from 'react';
var HEADING_TAGS = {
  h1: 'h1',
  h2: 'h2',
  h3: 'h3',
  h4: 'h4',
  h5: 'h5',
  h6: 'h6'
};

var Bullet = function Bullet(_ref) {
  var illustration = _ref.illustration,
      title = _ref.title,
      text = _ref.text,
      BASE_CLASS = _ref.baseClass,
      isString = _ref.isString,
      Heading = _ref.as;
  var ITEM_CLASS = BASE_CLASS + "-item";
  var ILLUSTRATION_CLASS = BASE_CLASS + "-illustration";
  var ILLUSTRATION_STRING_CLASS = BASE_CLASS + "-illustrationString";
  var INNER_CLASS = BASE_CLASS + "-inner";
  var TITLE_CLASS = BASE_CLASS + "-title";
  var TEXT_CLASS = BASE_CLASS + "-text";
  return /*#__PURE__*/React.createElement("div", {
    className: ITEM_CLASS
  }, isString && /*#__PURE__*/React.createElement(Heading, {
    className: ILLUSTRATION_STRING_CLASS
  }, illustration), !isString && /*#__PURE__*/React.createElement("img", {
    className: ILLUSTRATION_CLASS,
    src: illustration
  }), /*#__PURE__*/React.createElement("div", {
    className: INNER_CLASS
  }, title && /*#__PURE__*/React.createElement(Heading, {
    className: TITLE_CLASS
  }, title), /*#__PURE__*/React.createElement("p", {
    className: TEXT_CLASS
  }, text)));
};

Bullet.displayName = 'Bullet';
export { HEADING_TAGS as headingTags };
export default Bullet;